Commit 2d5fad98 authored by J.H.M. Dassen (Ray)'s avatar J.H.M. Dassen (Ray)

Updated debianisation

svn path=/trunk/; revision=16765
parent a6162fc1
gnumeric (1.9.1-2) experimental; urgency=low
gnumeric (1.9.2) experimental; urgency=low
* UNRELEASED
* [debian/po/jp.po] Updated Japanese translation, courtesy of Atsushi
Shimono <shimono@mozilla.gr.jp>. (Closes: #490668)
* New upstream development release.
* [debian/compat] New; updated to current debhelper compatibility level.
* [debian/rules] No longer set DH_COMPAT.
* [debian/control]
* Updated debhelper build dependency.
* Bumped libgsf and pango build dependencies per configure.in .
* Changed fonts suggestion now that the Liberation fonts are available in
main and the Microsoft Corefonts installer package has been renamed.
(Closes: #490039)
* Cleaned up build dependencies to fix build-depends-on-1-revision lintian
warning.
* [debian/gnumeric.install, debian/gnumeric-common.install,
debian/gnumeric-plugins-extra.install] Dropped some obsoleted patterns;
commented out some patterns which have no current matches.
* [debian/gnumeric.preinst] Added debhelper token.
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Wed, 25 Jun 2008 20:04:08 +0200
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Sat, 30 Aug 2008 16:49:14 +0200
gnumeric (1.9.1-1) experimental; urgency=low
......@@ -39,12 +51,20 @@ gnumeric (1.9.0-1) experimental; urgency=low
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Mon, 05 May 2008 07:17:09 +0200
gnumeric (1.8.3-5) unstable; urgency=medium
* [plugins/perl-loader/perl-loader.c] Call PERL_SYS_INIT3() prior to
perl_parse as per perlembed(1) so as not to hang on HPPA.
(Closes: #495062).
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Tue, 19 Aug 2008 15:57:26 +0200
gnumeric (1.8.3-4) unstable; urgency=high
* [plugins/fn-date/ChangeLog, plugins/fn-date/functions.c] Pull in fix from
SVN gnumeric-1-8 branch for off-by-one errors in DATE function.
(Closes: #492743)
* [debian/po/jp.po] Updated Japanese translation, courtesy of Atsushi
* [debian/po/ja.po] Updated Japanese translation, courtesy of Atsushi
Shimono <shimono@mozilla.gr.jp>. (Closes: #490668)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Fri, 01 Aug 2008 21:56:40 +0200
......
......@@ -2,16 +2,16 @@ Source: gnumeric
Section: math
Priority: optional
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5), dh-buildinfo,
Build-Depends: debhelper (>= 7.0.0), python-central (>= 0.5), dh-buildinfo,
po-debconf, gettext, bison, flex, scrollkeeper,
intltool (>= 0.29), libxml-parser-perl,
zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.6),
zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.9),
libgoffice-0-8-dev (>= 0.7.1), libxml2-dev (>= 2.6.10-2),
libpango1.0-dev (>= 1.8.1),
libgtk2.0-dev (>= 2.10.0), libglade2-dev (>= 1:2.4.0-1),
libpango1.0-dev (>= 1.10.0),
libgtk2.0-dev (>= 2.10.0), libglade2-dev (>= 1:2.4.0),
libart-2.0-dev (>= 2.3.16-5),
libgconf2-dev (>= 2.6.2-1), libbonobo2-dev (>= 2.6.2-4),
libbonoboui2-dev (>= 2.6.1-1),
libgconf2-dev (>= 2.6.2), libbonobo2-dev (>= 2.6.2-4),
libbonoboui2-dev (>= 2.6.1),
libgnome2-dev (>= 2.4.0-2), libgnomeui-dev (>= 2.4.0-2),
libgsf-gnome-1-dev (>= 1.14.6),
pxlib-dev (>= 0.5.1-2+b1), libpsiconv-dev (>= 0.9.8-2), libperl-dev,
......@@ -25,7 +25,7 @@ Package: gnumeric
Architecture: any
Depends: ${shlibs:Depends}, procps, gsfonts, gnumeric-common (= ${source:Version}), ${misc:Depends}
Recommends: evince (>= 0.9.0)
Suggests: gnumeric-doc (>= ${Upstream-Version}), gnumeric-plugins-extra, epiphany-browser, msttcorefonts
Suggests: gnumeric-doc (>= ${Upstream-Version}), gnumeric-plugins-extra, epiphany-browser, ttf-liberation | ttf-mscorefonts-installer
Conflicts: gnumeric1.0, gnumeric1.0-doc, gnumeric-doc (<< ${Upstream-Version})
Replaces: zh-trans (<< 0.8-1), gnumeric1.0
XS-Python-Version: current
......
......@@ -3,9 +3,8 @@ on Sat, 26 Sep 1998 17:15:24 +0200.
Gnumeric sources can now be found at http://www.gnome.org/gnumeric/ .
Contributors to Gnumeric are listed in the file 'AUTHORS'.
Copyright (C) 1999-2008 Jody Goldberg (jody@gnome.org) and others.
Gnumeric is Copyright 1998-2008 by the Gnumeric contributors.
The contributors to Gnumeric are listed in the file 'AUTHORS'.
This program is free software; you can redistribute it and/or modify it
under the terms of version 2 of the GNU General Public License as published
......
......@@ -3,11 +3,11 @@
/usr/share/gnumeric/*/autoformat-templates/*/*.xml
/usr/share/gnumeric/*/autoformat-templates/*/.category
/usr/share/gnumeric/*/glade/*.glade
/usr/share/gnumeric/*/glade/*.png
/usr/share/gnumeric/*/gnome*/ui/*.xml
# /usr/share/gnumeric/*/glade/*.png
# /usr/share/gnumeric/*/gnome*/ui/*.xml
/usr/share/gnumeric/*/idl/*.idl
/usr/share/gnumeric/*/templates/*.gnumeric
/usr/share/locale/*/LC_MESSAGES/*.mo
/usr/share/mime-info/gnumeric.*
# /usr/share/mime-info/gnumeric.*
/usr/share/pixmaps/*
/usr/share/icons/
/usr/lib/gnumeric/*/plugins/gdaif/*
/usr/lib/gnumeric/*/plugins/gnome-db/*
# /usr/lib/gnumeric/*/plugins/gdaif/*
# /usr/lib/gnumeric/*/plugins/gnome-db/*
/usr/lib/gnumeric/*/plugins/gnome-glossary/*
/usr/lib/gnumeric/*/plugins/paradox/*
/usr/lib/gnumeric/*/plugins/perl*/*
/usr/lib/gnumeric/*/plugins/psiconv/*
/usr/lib/gnumeric/*/plugins/py-func/*
/usr/lib/gnumeric/*/plugins/python-loader/*
/usr/lib/gnumeric/*/plugins/python/*
/usr/share/gnumeric/*/python
# /usr/lib/gnumeric/*/plugins/python/*
# /usr/share/gnumeric/*/python
......@@ -3,17 +3,13 @@
/usr/bin/ssconvert*
/usr/bin/ssgrep*
/usr/bin/ssindex*
/usr/lib/gnumeric/*/plugins/*/*.glade
# /usr/lib/gnumeric/*/plugins/*/*.glade
/usr/lib/gnumeric/*/plugins/*/*.la
/usr/lib/gnumeric/*/plugins/*/*.so
/usr/lib/gnumeric/*/plugins/*/*.xml
/usr/lib/goffice/*/plugins/gnumeric/*.glade
/usr/lib/goffice/*/plugins/gnumeric/*.la
/usr/lib/goffice/*/plugins/gnumeric/*.so
/usr/lib/goffice/*/plugins/gnumeric/*.xml
/usr/lib/libspreadsheet-*.so*
/usr/lib/libspreadsheet.so
/usr/lib/gnumeric/*/include/gnumeric-features.h
/usr/share/gnumeric/*/GNOME_Gnumeric-gtk.xml
/usr/share/gnumeric/*/Gnumeric-embed.xml
# /usr/share/gnumeric/*/Gnumeric-embed.xml
/usr/share/man/man*/*
......@@ -31,4 +31,7 @@ if [ "$RET" = "false" ] ; then
fi
db_stop
#DEBHELPER#
exit 0
......@@ -15,9 +15,6 @@ endif
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This is the debhelper compatability version to use.
export DH_COMPAT=4
# Try to preserve timestamps as much as possible
export INSTALL=/usr/bin/install -p
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment